import { OnInit, ElementRef, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { CommandExecutorService } from './common/services/command-executor.service';
import { MessageService } from './common/services/message.service';
import * as Utils from './common/utils/ngx-editor.utils';
export declare class NgxEditorComponent implements OnInit, ControlValueAccessor {
    private _elementRef;
    private _messageService;
    private _commandExecutor;
    private _renderer;
    editable: boolean;
    spellcheck: boolean;
    placeholder: string;
    translate: string;
    height: string;
    minHeight: string;
    width: string;
    minWidth: string;
    toolbar: any;
    resizer: string;
    config: {
        editable: boolean;
        spellcheck: boolean;
        height: string;
        minHeight: string;
        width: string;
        minWidth: string;
        translate: string;
        placeholder: string;
        toolbar: string[][];
    };
    showToolbar: boolean;
    textArea: any;
    enableToolbar: boolean;
    Utils: typeof Utils;
    private lastViewModel;
    private onChange;
    private onTouched;
    constructor(_elementRef: ElementRef, _messageService: MessageService, _commandExecutor: CommandExecutorService, _renderer: Renderer2);
    onFocus(): void;
    onDocumentClick(event: any): void;
    onContentChange(html: any): void;
    onBlur(): void;
    resizeTextArea(offsetY: number): void;
    executeCommand(commandName: string): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    refreshView(value: any): void;
    getCollectiveParams(): any;
    ngOnInit(): void;
}
